Cyan Web API - Version 1


GET api/messages/{messageId}

            Gets a Message.
            

Request Information

Parameters

NameDescriptionAdditional information
messageId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageId": "a95507bf-846c-4eb9-aee7-d98fe0427e86",
  "tenantId": "8e682ea5-0523-4c0a-8cba-8d9e87d0a9c0",
  "messageTypeId": "7edcf30d-f740-43b5-85c9-0ca663913ba9",
  "messageTypeLookupKey": "sample string 4",
  "userId": "b7f13d37-de56-4b32-98aa-d39d086f5f03",
  "userGroupId": "d1f0c22c-230b-4f69-9b48-19aafbc86e36",
  "deviceId": "bc932a30-d8c9-4d80-9d5f-08e8b6118e48",
  "deviceGroupId": "1cf8ee0f-9d39-4134-86ab-61be990722ad",
  "applicationId": "aae59d36-d91b-4aca-91cd-b8375e843b07",
  "applicationVersionId": "6bc2cdfe-8c45-4d13-a56e-105ab9537a27",
  "senderSessionId": "sample string 5",
  "senderSessionSequence": 1,
  "senderCorrelationId": "sample string 6",
  "senderGroup": "sample string 7",
  "senderNote": "sample string 8",
  "body": "sample string 9",
  "storeEncryptedPassword": true,
  "storeHashedPassword": true,
  "messageAuditId": "6a5ab6c3-064d-41c1-92a4-1d452ad9f575",
  "messageAuditMessageAuditTypeId": "6f3b5891-dbbe-4f07-a552-3f59def6a192",
  "messageAuditMessageAuditTypeName": "sample string 14",
  "messageAuditMessageAuditTypeLookupKey": "sample string 15",
  "messageAuditText": "sample string 16",
  "messageAuditCreatedDateUtc": "2026-11-13T23:59:48.1501442+00:00",
  "messageAuditUpdatedDateUtc": "2026-11-13T23:59:48.1501442+00:00",
  "cyanId": 18,
  "messageAuditCyanId": 1,
  "resubmitCount": 19,
  "createdDateUtc": "2026-11-13T23:59:48.1501442+00:00",
  "updatedDateUtc": "2026-11-13T23:59:48.1501442+00:00"
}

application/xml, text/xml

Sample:
<MessageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:48.1501442+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:48.1501442+00:00</UpdatedDateUtc>
  <ApplicationId>aae59d36-d91b-4aca-91cd-b8375e843b07</ApplicationId>
  <ApplicationVersionId>6bc2cdfe-8c45-4d13-a56e-105ab9537a27</ApplicationVersionId>
  <Body>sample string 9</Body>
  <CyanId>18</CyanId>
  <DeviceGroupId>1cf8ee0f-9d39-4134-86ab-61be990722ad</DeviceGroupId>
  <DeviceId>bc932a30-d8c9-4d80-9d5f-08e8b6118e48</DeviceId>
  <MessageAuditCreatedDateUtc>2026-11-13T23:59:48.1501442+00:00</MessageAuditCreatedDateUtc>
  <MessageAuditCyanId>1</MessageAuditCyanId>
  <MessageAuditId>6a5ab6c3-064d-41c1-92a4-1d452ad9f575</MessageAuditId>
  <MessageAuditMessageAuditTypeId>6f3b5891-dbbe-4f07-a552-3f59def6a192</MessageAuditMessageAuditTypeId>
  <MessageAuditMessageAuditTypeLookupKey>sample string 15</MessageAuditMessageAuditTypeLookupKey>
  <MessageAuditMessageAuditTypeName>sample string 14</MessageAuditMessageAuditTypeName>
  <MessageAuditText>sample string 16</MessageAuditText>
  <MessageAuditUpdatedDateUtc>2026-11-13T23:59:48.1501442+00:00</MessageAuditUpdatedDateUtc>
  <MessageId>a95507bf-846c-4eb9-aee7-d98fe0427e86</MessageId>
  <MessageTypeId>7edcf30d-f740-43b5-85c9-0ca663913ba9</MessageTypeId>
  <MessageTypeLookupKey>sample string 4</MessageTypeLookupKey>
  <ResubmitCount>19</ResubmitCount>
  <SenderCorrelationId>sample string 6</SenderCorrelationId>
  <SenderGroup>sample string 7</SenderGroup>
  <SenderNote>sample string 8</SenderNote>
  <SenderSessionId>sample string 5</SenderSessionId>
  <SenderSessionSequence>1</SenderSessionSequence>
  <StoreEncryptedPassword>true</StoreEncryptedPassword>
  <StoreHashedPassword>true</StoreHashedPassword>
  <TenantId>8e682ea5-0523-4c0a-8cba-8d9e87d0a9c0</TenantId>
  <UserGroupId>d1f0c22c-230b-4f69-9b48-19aafbc86e36</UserGroupId>
  <UserId>b7f13d37-de56-4b32-98aa-d39d086f5f03</UserId>
</MessageRepresentation>